#include <avr/io.h>
#include <util/delay.h>
#include "lcd.h"
#include "eeprom.h"

int main(void) {
	lcdInit();
	lcdInitPrintf();
	struct test {
		uint8_t a;
		uint32_t b;
		char c[10];
	};
	struct test in = {7, 1000000, "EdW"};
	eepromWriteBytes(0, (uint8_t*)&in, sizeof(in));
	struct test out;
	eepromReadBytes(0, (uint8_t*)&out, sizeof(out));
	printf("a=%d b=%ld", out.a, out.b);
	lcdGotoXY(0, 1);
	printf("c=%s", out.c);
	while(1){ }
}
